# Ipopt::SymScaledMatrixSpace Class Reference

This is the matrix space for SymScaledMatrix. More...

`#include <IpSymScaledMatrix.hpp>`

Inheritance diagram for Ipopt::SymScaledMatrixSpace:
[legend]

List of all members.

## Public Member Functions
SymScaledMatrix * | MakeNewSymScaledMatrix (bool allocate_unscaled_matrix=false) const
| Method for creating a new matrix of this specific type.
virtual SymMatrix * | MakeNewSymMatrix () const
| Overloaded method from SymMatrixSpace.
virtual Matrix * | MakeNew () const
| Overloaded MakeNew method for the MatrixSpace base class.
SmartPtr< const Vector > | RowColScaling () const
| return the vector for the row and column scaling
SmartPtr< const SymMatrixSpace > | UnscaledMatrixSpace () const
| return the matrix space for the unscaled matrix
Constructors / Destructors
| SymScaledMatrixSpace (const SmartPtr< const Vector > &row_col_scaling, bool row_col_scaling_reciprocal, const SmartPtr< const SymMatrixSpace > &unscaled_matrix_space)
| Constructor, given the number of row and columns blocks, as well as the totel number of rows and columns.
| ~SymScaledMatrixSpace ()
| Destructor.
## Private Member Functions
Default Compiler Generated Methods
(Hidden to avoid implicit creation/calling). These methods are not implemented and we do not want the compiler to implement them for us, so we declare them private and do not define them. This ensures that they will not be implicitly created/called.
| SymScaledMatrixSpace ()
| Default constructor.
| SymScaledMatrixSpace (const SymScaledMatrixSpace &)
| Copy Constructor.
SymScaledMatrixSpace & | operator= (const SymScaledMatrixSpace &)
| Overloaded Equals Operator.
## Private Attributes
SmartPtr< Vector > | scaling_
| Row scaling vector.
SmartPtr< const SymMatrixSpace > | unscaled_matrix_space_
| unscaled matrix space

## Detailed Description

This is the matrix space for SymScaledMatrix.

Definition at line 107 of file IpSymScaledMatrix.hpp.

## Constructor & Destructor Documentation

Ipopt::SymScaledMatrixSpace::SymScaledMatrixSpace | ( | const SmartPtr< const Vector > & | row_col_scaling,
|  | bool | row_col_scaling_reciprocal,
|  | const SmartPtr< const SymMatrixSpace > & | unscaled_matrix_space |
| ) |  |  | `[inline]`

Constructor, given the number of row and columns blocks, as well as the totel number of rows and columns.

Definition at line 115 of file IpSymScaledMatrix.hpp.

Ipopt::SymScaledMatrixSpace::~SymScaledMatrixSpace | ( |  | ) | `[inline]`

Destructor.

Definition at line 129 of file IpSymScaledMatrix.hpp.

Ipopt::SymScaledMatrixSpace::SymScaledMatrixSpace | ( |  | ) | `[private]`

Default constructor.

Ipopt::SymScaledMatrixSpace::SymScaledMatrixSpace | ( | const SymScaledMatrixSpace & |  | ) | `[private]`

Copy Constructor.

## Member Function Documentation

SymScaledMatrix* Ipopt::SymScaledMatrixSpace::MakeNewSymScaledMatrix | ( | bool | allocate_unscaled_matrix = `false` | ) | const`[inline]`

Method for creating a new matrix of this specific type.

Definition at line 134 of file IpSymScaledMatrix.hpp.

virtual SymMatrix* Ipopt::SymScaledMatrixSpace::MakeNewSymMatrix | ( |  | ) | const`[inline, virtual]`

Overloaded method from SymMatrixSpace.

Implements Ipopt::SymMatrixSpace.

Definition at line 145 of file IpSymScaledMatrix.hpp.

virtual Matrix* Ipopt::SymScaledMatrixSpace::MakeNew | ( |  | ) | const`[inline, virtual]`

Overloaded MakeNew method for the MatrixSpace base class.

Reimplemented from Ipopt::SymMatrixSpace.

Definition at line 151 of file IpSymScaledMatrix.hpp.

SmartPtr<const Vector> Ipopt::SymScaledMatrixSpace::RowColScaling | ( |  | ) | const`[inline]`

return the vector for the row and column scaling

Definition at line 157 of file IpSymScaledMatrix.hpp.

SmartPtr<const SymMatrixSpace> Ipopt::SymScaledMatrixSpace::UnscaledMatrixSpace | ( |  | ) | const`[inline]`

return the matrix space for the unscaled matrix

Definition at line 163 of file IpSymScaledMatrix.hpp.

SymScaledMatrixSpace& Ipopt::SymScaledMatrixSpace::operator= | ( | const SymScaledMatrixSpace & |  | ) | `[private]`

Overloaded Equals Operator.

Reimplemented from Ipopt::SymMatrixSpace.

## Member Data Documentation

SmartPtr<Vector> Ipopt::SymScaledMatrixSpace::scaling_`[private]`

Row scaling vector.

Definition at line 188 of file IpSymScaledMatrix.hpp.

SmartPtr<const SymMatrixSpace> Ipopt::SymScaledMatrixSpace::unscaled_matrix_space_`[private]`

unscaled matrix space

Definition at line 190 of file IpSymScaledMatrix.hpp.

The documentation for this class was generated from the following file:

- src/LinAlg/IpSymScaledMatrix.hpp

All Classes Files Functions Variables Typedefs Enumerations Enumerator Friends Defines